interface

  ListViewConstructOptions

brief

  ListView への初期化情報を格納するインターフェイスクラス

### Type parameters

- #### TModel: Model

### Hierarchy

- ListViewOptions
- ViewOptions<TModel>
  - ListViewConstructOptions

## Index

### Properties

- $el
- animationDuration
- attributes
- baseDepth
- className
- collection
- el
- enableAnimation
- enableHiddenPage
- enableTransformOffset
- events
- id
- initialHeight
- itemTagName
- model
- pagePreloadCount
- pagePrepareCount
- removeItemWithTransition
- scrollMapRefreshInterval
- scrollRefreshDistance
- scrollerFactory
- tagName
- useDummyInactiveScrollMap

## Properties

### Optional $el

$el: JQuery

- Defined in CDP/UI/listview/ListView.ts:11

### Optional animationDuration

animationDuration: number

Inherited from ListViewOptions.animationDuration

- Defined in CDP/UI/listview/Interfaces.ts:20

### Optional attributes

attributes: object

Inherited from ViewOptions.attributes

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:397

#### Type declaration

- ##### [id: string]: any

### Optional baseDepth

baseDepth: string

Inherited from ListViewOptions.baseDepth

- Defined in CDP/UI/listview/Interfaces.ts:21

### Optional className

className: string

Inherited from ViewOptions.className

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:395

### Optional collection

collection: Collection<any>

Inherited from ViewOptions.collection

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:391

### Optional el

el: any

Inherited from ViewOptions.el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:392

### Optional enableAnimation

enableAnimation: boolean

Inherited from ListViewOptions.enableAnimation

- Defined in CDP/UI/listview/Interfaces.ts:19

### Optional enableHiddenPage

enableHiddenPage: boolean

Inherited from ListViewOptions.enableHiddenPage

- Defined in CDP/UI/listview/Interfaces.ts:13

### Optional enableTransformOffset

enableTransformOffset: boolean

Inherited from ListViewOptions.enableTransformOffset

- Defined in CDP/UI/listview/Interfaces.ts:14

### Optional events

events: EventsHash

Inherited from ViewOptions.events

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:393

### Optional id

id: string

Inherited from ViewOptions.id

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:394

### Optional initialHeight

initialHeight: number

- Defined in CDP/UI/listview/ListView.ts:12

### Optional itemTagName

itemTagName: string

Inherited from ListViewOptions.itemTagName

- Defined in CDP/UI/listview/Interfaces.ts:22

### Optional model

model: TModel

Inherited from ViewOptions.model

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:389

### Optional pagePreloadCount

pagePreloadCount: number

Inherited from ListViewOptions.pagePreloadCount

- Defined in CDP/UI/listview/Interfaces.ts:18

### Optional pagePrepareCount

pagePrepareCount: number

Inherited from ListViewOptions.pagePrepareCount

- Defined in CDP/UI/listview/Interfaces.ts:17

### Optional removeItemWithTransition

removeItemWithTransition: boolean

Inherited from ListViewOptions.removeItemWithTransition

- Defined in CDP/UI/listview/Interfaces.ts:23

### Optional scrollMapRefreshInterval

scrollMapRefreshInterval: number

Inherited from ListViewOptions.scrollMapRefreshInterval

- Defined in CDP/UI/listview/Interfaces.ts:15

### Optional scrollRefreshDistance

scrollRefreshDistance: number

Inherited from ListViewOptions.scrollRefreshDistance

- Defined in CDP/UI/listview/Interfaces.ts:16

### Optional scrollerFactory

scrollerFactory: function

Inherited from ListViewOptions.scrollerFactory

- Defined in CDP/UI/listview/Interfaces.ts:12

#### Type declaration

- - (element: any, options: ListViewOptions): IScroller

  - #### Parameters

    - ##### element: any

    - ##### options: ListViewOptions

    #### Returns IScroller

### Optional tagName

tagName: string

Inherited from ViewOptions.tagName

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:396

### Optional useDummyInactiveScrollMap

useDummyInactiveScrollMap: boolean

Inherited from ListViewOptions.useDummyInactiveScrollMap

- Defined in CDP/UI/listview/Interfaces.ts:25

Generated using TypeDoc